---
#
# Checking that required variables are set
#
- name: "vars | check"
  tags: ["aws", "sqs", "aws:sqs", "sqs:check", "aws:sqs:check"]
  assert:
    that:
      - owner is defined
      - aws_region is defined
      - account_name is defined
      - environment_type is defined
      - environment_abbr is defined
      - tag_prefix is defined
      - aws_sqs_params is defined
      - "'queues' in aws_sqs_params"
      - "aws_sqs_params.queues|length>0"
